Skip to main content
PUT
/
registrants
/
update
/
{registrant_id}
Update Registrant
curl --request PUT \
  --url https://api.swoogo.com/api/v1/registrants/update/{registrant_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data email= \
  --data first_name= \
  --data last_name=
{
  "bio": "",
  "birth_date": "",
  "cancelled_at": null,
  "cc_email": "",
  "checked_in_at": null,
  "company": "Alan D Rosenburg Cpa Pc",
  "created_at": "2019-08-30 16:57:59",
  "email": "atomkiewicz@hotmail.com",
  "event_id": 1,
  "ext_token": "5CIBDyTOnFEmLiG47T60v3KXO5SW4COH_1567184279",
  "first_name": "Aleshia",
  "gender": {
    "id": null,
    "value": null
  },
  "group_balance_due": 0,
  "group_gross": "0.00",
  "group_id": 1,
  "group_net": "0.00",
  "group_paid": "0.00",
  "group_tax": "0.00",
  "h_check_out": "",
  "id": 1,
  "individual_gross": "0.00",
  "individual_net": "0.00",
  "individual_tax": "0.00",
  "ip_address": "192.168.1.110",
  "job_title": "",
  "last_name": "Tomkiewicz",
  "middle_name": "",
  "mobile_phone": "",
  "notes": null,
  "prefix": "",
  "profile_picture": "",
  "reference": null,
  "registration_status": "confirmed",
  "session_ids": [],
  "suffix": "",
  "twitter_handle": "",
  "updated_at": "2019-11-12 21:51:55",
  "work_phone": ""
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

registrant_id
integer
required

integer - required - The ID of the registrant you want to update

Example:

1

Query Parameters

override_capacity_errors
string

boolean - optional - If an item is sold out, an error will be shown and the registrant will not be updated. If this flag is enabled, the data will be updated

Example:

""

Body

email
string
Example:

""

first_name
string
Example:

""

last_name
string
Example:

""

Response

Update Registrant

bio
string
Example:

""

birth_date
string
Example:

""

cancelled_at
unknown
cc_email
string
Example:

""

checked_in_at
unknown
company
string
Example:

"Alan D Rosenburg Cpa Pc"

created_at
string
Example:

"2019-08-30 16:57:59"

email
string
Example:

"atomkiewicz@hotmail.com"

event_id
number
Example:

1

ext_token
string
Example:

"5CIBDyTOnFEmLiG47T60v3KXO5SW4COH_1567184279"

first_name
string
Example:

"Aleshia"

gender
object
group_balance_due
number
Example:

0

group_gross
string
Example:

"0.00"

group_id
number
Example:

1

group_net
string
Example:

"0.00"

group_paid
string
Example:

"0.00"

group_tax
string
Example:

"0.00"

h_check_out
string
Example:

""

id
number
Example:

1

individual_gross
string
Example:

"0.00"

individual_net
string
Example:

"0.00"

individual_tax
string
Example:

"0.00"

ip_address
string
Example:

"192.168.1.110"

job_title
string
Example:

""

last_name
string
Example:

"Tomkiewicz"

middle_name
string
Example:

""

mobile_phone
string
Example:

""

notes
unknown
prefix
string
Example:

""

profile_picture
string
Example:

""

reference
unknown
registration_status
string
Example:

"confirmed"

session_ids
any[]
Example:
[]
suffix
string
Example:

""

twitter_handle
string
Example:

""

updated_at
string
Example:

"2019-11-12 21:51:55"

work_phone
string
Example:

""